newrelic

approved
pdk
Puppet module for NewRelic
Claranet

Claranet

claranet

28,753 downloads

7,137 latest version

5.0 quality score

Version information

  • 2.4.2 (latest)
  • 2.4.1
  • 2.4.0
  • 2.3.0
  • 2.2.0
  • 2.1.0
  • 2.0.1
  • 2.0.0
  • 1.1.0
  • 1.0.0
released Jan 31st 2019
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 4.0.0 < 7.0.0
  • CentOS
    ,
    Ubuntu
    ,
    Debian

Start using this module

Documentation

claranet/newrelic — version 2.4.2 Jan 31st 2019

puppet-newrelic

Build Status Puppet Forge Forge Downloads

Table of Contents

  1. Description - What is the puppet-newrelic module?
  2. Setup - The basics of getting started with puppet-newrelic
  3. Usage - Configuration options and additional functionality
  4. Supported agents
  5. Limitations - OS compatibility, etc.
  6. Development - Guide for contributing to the module

Description

This module manages and installs the New Relic Server Monitoring and PHP agents and is based on Felipe Salum's puppet-newrelic module.

Setup

What puppet-newrelic affects

  • Adds the upstream NewRelic Yum/Apt repositories
  • Installs the NewRelic Server/Infrastructure agent and also the PHP or .NET agents

Beginning with puppet-newrelic

To use the module in its default form, which will install the NewRelic Infra agent:

include ::newrelic

Usage

To install the (deprecated) NewRelic Server Monitoring agent instead of the default NewRelic Infrastructure agent:

class { '::newrelic':
  license_key   => 'your key here',
  enable_infra  => false,
  enable_server => true,
}

Supported Agents

PHP

To enable the PHP agent with default configuration:

class { '::newrelic':
  license_key      => 'your key here',
  enable_php_agent => true,
}

Further PHP agent configuration in Hiera:

 newrelic::agent::php::ini_settings:
   appname: 'ACME PHP Application'
   daemon.loglevel: 'error'

The below examples show how to integrate the NewRelic PHP agent with the most common web-servers, with automatic service restarts.

Apache and mod_php

Assumes usage of the Puppet Apache module.

class { '::apache': }
class { '::apache::mod::php': }

class { '::newrelic::agent::php':
  license_key => 'your key',
  require     => Class['::apache::mod::php'],
  notify      => Service['httpd'],

PHP-FPM

Assumes usage of the Slashbunny PHP-FPM module.

class { '::phpfpm':
    poold_purge => true,
}

::phpfpm::pool { 'main': }

class { '::newrelic::agent::php':
  license_key => '3522b44f4c3f89c8566d5781bac6e0bb7dedab7z',
  require     => Class['::phpfpm'],
  notify      => Class['::phpfpm::service'],
}

Java

This module installs a specified version of the the NewRelic Java agent into an install directory. The install directory is recommended to be newrelic/ under your app folder. Ensure permissions are correct on the install folder by using agent_user and agent_group.

Note: Importantly, this does not handle passing newrelic.jar to JVM_OPTS etc. Please refer to NewRelic docs here - https://docs.newrelic.com/docs/agents/java-agent/installation/install-java-agent

class { '::newrelic::agent::java:
  license_key => '3522b44f4c3f89c8566d5781bac6e0bb7dedab7z'
}

# or use hiera and include
# newrelic::agent::java::license_key: '3522b44f4c3f89c8566d5781bac6e0bb7dedab7z'
include ::newrelic::agent::java

Limitations

Supported Operating Systems

  • Debian/Ubuntu
  • CentOS/RHEL

Puppet 3

On 31st December 2016, support for Puppet 3.x was withdrawn. As as a result, this module does not support Puppet 3.

Server to Infra Migrations

When moving from NewRelic Server to NewRelic Infrastructure - the module only installs the new client, and does not clean up the old one.

Windows

Please note that Windows support is currently untested.

Development

  • Copyright (C) 2012 Felipe Salum fsalum@gmail.com
  • Copyright (C) 2017 Claranet
  • Distributed under the terms of the Apache License v2.0 - see LICENSE file for details.